Package oracle.sql

## Class ArrayDescriptor

- java.lang.Object
- - oracle.sql.TypeDescriptor
  - - oracle.sql.ArrayDescriptor

All Implemented Interfaces:
  `Serializable`, `oracle.jdbc.internal.ACProxyable`, `oracle.jdbc.internal.ObjectData`, `oracle.jdbc.internal.OracleTypeMetaData`, `oracle.jdbc.internal.OracleTypeMetaData.Array`, `OracleData`, `OracleTypeMetaData`, `OracleTypeMetaData.Array`, `ORAData`

    public class ArrayDescriptor
    extends TypeDescriptor
    implements oracle.jdbc.internal.OracleTypeMetaData.Array, Serializable

Deprecated.
Use factory method OracleConnection.createOracleArray to create an instance of java.sql.Array directly.
Describes an array class. In Oracle 8 all arrays are named types.

See Also:
  `Connection.createArrayOf(java.lang.String, java.lang.Object[])`, Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.jdbc.internal.OracleTypeMetaData

`oracle.jdbc.internal.OracleTypeMetaData.Array, oracle.jdbc.internal.OracleTypeMetaData.Opaque, oracle.jdbc.internal.OracleTypeMetaData.Struct`

### Nested classes/interfaces inherited from interface oracle.jdbc.OracleTypeMetaData

`OracleTypeMetaData.Array, OracleTypeMetaData.ArrayStorage, OracleTypeMetaData.Kind, OracleTypeMetaData.Opaque, OracleTypeMetaData.Struct`

### Field Summary

Fields
`static int` `CACHE_ALL` Deprecated.
`static int` `CACHE_LAST` Deprecated.
`static int` `CACHE_NONE` Deprecated.
`static int` `TYPE_NESTED_TABLE` Deprecated.
`static int` `TYPE_VARRAY` Deprecated.

### Fields inherited from class oracle.sql.TypeDescriptor

`ANYDATASETTOID, ANYDATATOID, ANYTYPETOID, DEBUG_SERIALIZATION, JSONTOID, KOIDFLEN, RAWTOID, TYPECODE_BDOUBLE, TYPECODE_BFILE, TYPECODE_BFLOAT, TYPECODE_BLOB, TYPECODE_BOOLEAN, TYPECODE_CFILE, TYPECODE_CHAR, TYPECODE_CLOB, TYPECODE_DATE, TYPECODE_DECIMAL, TYPECODE_DOUBLE, TYPECODE_ERRHP, TYPECODE_FLOAT, TYPECODE_INTEGER, TYPECODE_INTERVAL_DS, TYPECODE_INTERVAL_YM, TYPECODE_ITABLE, TYPECODE_JDBC_ARRAY, TYPECODE_JDBC_JOBJECT, TYPECODE_JDBC_JOPAQUE, TYPECODE_JDBC_JSTRUCT, TYPECODE_JDBC_REF, TYPECODE_JDBC_STRUCT, TYPECODE_MLSLABEL, TYPECODE_NAMEDCOLLECTION, TYPECODE_NCHAR, TYPECODE_NCLOB, TYPECODE_NONE, TYPECODE_NUMBER, TYPECODE_NVARCHAR2, TYPECODE_OBJECT, TYPECODE_OCTET, TYPECODE_OPAQUE, TYPECODE_OTMFIRST, TYPECODE_OTMLAST, TYPECODE_PLS_INTEGER, TYPECODE_PTR, TYPECODE_RAW, TYPECODE_REAL, TYPECODE_RECORD, TYPECODE_REF, TYPECODE_SIGNED16, TYPECODE_SIGNED32, TYPECODE_SIGNED8, TYPECODE_SMALLINT, TYPECODE_SQLXML, TYPECODE_SYSFIRST, TYPECODE_SYSLAST, TYPECODE_TABLE, TYPECODE_TIME, TYPECODE_TIME_TZ, TYPECODE_TIMESTAMP, TYPECODE_TIMESTAMP_LTZ, TYPECODE_TIMESTAMP_TZ, TYPECODE_UNSIGNED16, TYPECODE_UNSIGNED32, TYPECODE_UNSIGNED8, TYPECODE_UROWID, TYPECODE_VARCHAR, TYPECODE_VARCHAR2, TYPECODE_VARRAY, XMLTYPETOID`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static ArrayDescriptor` `createDescriptor​(String name, Connection conn)` Deprecated. Descriptor factory.
`static ArrayDescriptor` `createDescriptor​(String name, Connection conn, boolean recurse, boolean force)` Deprecated. Descriptor factory.
`static ArrayDescriptor` `createDescriptor​(oracle.sql.SQLName sqlName, Connection conn)` Deprecated. Descriptor factory.
`static ArrayDescriptor` `createDescriptor​(oracle.sql.SQLName sqlName, Connection conn, boolean recurse, boolean force)` Deprecated. Descriptor factory.
`String` `descType()` Deprecated. Describe the collection type.
`OracleTypeMetaData.ArrayStorage` `getArrayStorage()` Deprecated. Return the database type of the array.
`int` `getArrayType()` Deprecated. Return the database type of the array.
`String` `getBaseName()` Deprecated. In case the elements are named types the fully qualified name of their type.Otherwise, return type name used by the database
`int` `getBaseType()` Deprecated. Return element's type code.
`OracleTypeMetaData.Kind` `getKind()` Deprecated. Return the kind of type.
`long` `getMaxLength()` Deprecated. Return the maximun number of elements this array object can hold.
`int` `getTypeCode()` Deprecated. Returns type code.
`byte[]` `toBytes​(oracle.jdbc.internal.OracleArray s, Datum sDatum, boolean keepLocalCopy)` Deprecated. Side Effect: array.datumArray, array.bytes may be modified if 'keepLocalCopy' is true
`Object[]` `toJavaArray​(oracle.jdbc.internal.OracleArray s, Datum sDatum, long beginIdx, int count, Map map, boolean keepLocalCopy)` Deprecated. Side Effect: array.datumArray, array.bytes, s.objectArray may be modified if 'keepLocalCopy' is true
`Object` `toNumericArray​(oracle.jdbc.internal.OracleArray array, Datum arrayDatum, long beginIdx, int count, int type, boolean saveLocalCopy)` Deprecated.
`Datum[]` `toOracleArray​(oracle.jdbc.internal.OracleArray s, Datum sDatum, long beginIdx, int count, boolean keepLocalCopy)` Deprecated. Side Effect: array.datumArray, array.bytes may be modified if 'keepLocalCopy' is true
`ResultSet` `toResultSet​(oracle.jdbc.internal.OracleArray array, Datum arrayDatum, long index, int count, Map map, boolean saveLocalCopy)` Deprecated.
`ResultSet` `toResultSet​(ARRAY array, long index, int count, Map map, boolean saveLocalCopy)` Deprecated.
`ResultSet` `toResultSetFromImage​(oracle.jdbc.internal.OracleArray array, long index, int count, Map map)` Deprecated.

### Methods inherited from class oracle.sql.TypeDescriptor

`convToUpperCase, getConnectionDuringExceptionHandling, getInternalTypeCode, getName, getPrecision, getScale, getSubtypeName, getTypeCodeName, initMetadataRecursively, initNamesRecursively, isTransient, isV2available, printXML, printXML, setConnection, setPrecision, setScale, toDatum, toJDBCObject, toXMLString, toXMLString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface oracle.jdbc.internal.ACProxyable

`getACProxy, setACProxy`

### Methods inherited from interface oracle.jdbc.OracleTypeMetaData

`getName, getSchemaName, getSQLName, getTypeCodeName`

### Field Detail

#### TYPE_VARRAY

    public static final int TYPE_VARRAY

Deprecated.

See Also:
  Constant Field Values

#### TYPE_NESTED_TABLE

    public static final int TYPE_NESTED_TABLE

Deprecated.

See Also:
  Constant Field Values

#### CACHE_NONE

    public static final int CACHE_NONE

Deprecated.

See Also:
  Constant Field Values

#### CACHE_ALL

    public static final int CACHE_ALL

Deprecated.

See Also:
  Constant Field Values

#### CACHE_LAST

    public static final int CACHE_LAST

Deprecated.

See Also:
  Constant Field Values

### Method Detail

#### createDescriptor

    public static ArrayDescriptor createDescriptor​(String name,
                                                   Connection conn)
                                            throws SQLException

Deprecated.
Descriptor factory. Lookup the name in the database, and determine the characteristics of this array.

Parameters:
  `name` - a String naming the type. (Not necessarily fully qualified)
  `connection` - a Connection to a database
Returns:
  An array descriptor for the specified `name`
Throws:
  `SQLException` - if the name does not name an array type.

#### createDescriptor

    public static ArrayDescriptor createDescriptor​(String name,
                                                   Connection conn,
                                                   boolean recurse,
                                                   boolean force)
                                            throws SQLException

Deprecated.
Descriptor factory. Lookup the name in the database, and determine the characteristics of this array.

Parameters:
  `name` - a String naming the type. (Not necessarily fully qualified)
  `connection` - a Connection to a database
  `recurse` - a boolean to specify whether to create descriptors for component objects
  `force` - a boolean to specify whether to replace any cached descriptor.
Returns:
  the descriptor created.
Throws:
  `SQLException` - if the name does not name an array type.

#### createDescriptor

    public static ArrayDescriptor createDescriptor​(oracle.sql.SQLName sqlName,
                                                   Connection conn)
                                            throws SQLException

Deprecated.
Descriptor factory. Lookup the name in the database, and determine the characteristics of this array.

Parameters:
  `name` - a SQLName with the name of the type.
  `connection` - a Connection to a database
Returns:
  the descriptor created.
Throws:
  `SQLException` - if the name does not name an array type.

#### createDescriptor

    public static ArrayDescriptor createDescriptor​(oracle.sql.SQLName sqlName,
                                                   Connection conn,
                                                   boolean recurse,
                                                   boolean force)
                                            throws SQLException

Deprecated.
Descriptor factory. Lookup the name in the database, and determine the characteristics of this array.

Parameters:
  `name` - a SQLName with the name of the type.
  `connection` - a Connection to a database
  `recurse` - a boolean to specify whether to create descriptors for component objects
  `force` - a boolean to specify whether to replace any cached descriptor.
Returns:
  the descriptor created.
Throws:
  `SQLException` - if the name does not name an array type.

#### getKind

    public OracleTypeMetaData.Kind getKind()

Deprecated.
Description copied from interface: `OracleTypeMetaData`
Return the kind of type.

Specified by:
  `getKind` in interface `OracleTypeMetaData`
Overrides:
  `getKind` in class `TypeDescriptor`
Returns:
  the kind, ARRAY

#### getBaseType

    public int getBaseType()
                    throws SQLException

Deprecated.
Return element's type code.

Specified by:
  `getBaseType` in interface `OracleTypeMetaData.Array`
Returns:
  the type code of elements of the array
Throws:
  `SQLException`

#### getBaseName

    public String getBaseName()
                       throws SQLException

Deprecated.
In case the elements are named types the fully qualified name of their type.Otherwise, return type name used by the database

Specified by:
  `getBaseName` in interface `OracleTypeMetaData.Array`
Returns:
  the name of the base type.
Throws:
  `SQLException` - if the element's type is not named.

#### getArrayStorage

    public OracleTypeMetaData.ArrayStorage getArrayStorage()
                                                    throws SQLException

Deprecated.
Return the database type of the array. The possible return values are OracleTypeMetaData.ArrayStorage. Either as a nested table or VARRAY.

Specified by:
  `getArrayStorage` in interface `OracleTypeMetaData.Array`
Returns:
  how the array is stored in the database.
Throws:
  `SQLException`

#### getArrayType

    public int getArrayType()
                     throws SQLException

Deprecated.
Return the database type of the array. The possible return values are ArrayDescriptor.TYPE_VARRAY and ArrayDescriptor.TYPE_NESTED_TABLE.

Returns:
  database array type.
Throws:
  `SQLException`

#### getMaxLength

    public long getMaxLength()
                      throws SQLException

Deprecated.
Return the maximun number of elements this array object can hold.

Specified by:
  `getMaxLength` in interface `OracleTypeMetaData.Array`
Returns:
  the maximum array size; return 0 if no limit.
Throws:
  `SQLException`

#### descType

    public String descType()
                    throws SQLException

Deprecated.
Describe the collection type.

Returns:
  the type information
Throws:
  `SQLException`
Since:
  8.1.7

#### toBytes

    public byte[] toBytes​(oracle.jdbc.internal.OracleArray s,
                          Datum sDatum,
                          boolean keepLocalCopy)
                   throws SQLException

Deprecated.
Side Effect: array.datumArray, array.bytes may be modified if 'keepLocalCopy' is true

Throws:
  `SQLException`

#### toOracleArray

    public Datum[] toOracleArray​(oracle.jdbc.internal.OracleArray s,
                                 Datum sDatum,
                                 long beginIdx,
                                 int count,
                                 boolean keepLocalCopy)
                          throws SQLException

Deprecated.
Side Effect: array.datumArray, array.bytes may be modified if 'keepLocalCopy' is true

Throws:
  `SQLException`

#### toJavaArray

    public Object[] toJavaArray​(oracle.jdbc.internal.OracleArray s,
                                Datum sDatum,
                                long beginIdx,
                                int count,
                                Map map,
                                boolean keepLocalCopy)
                         throws SQLException

Deprecated.
Side Effect: array.datumArray, array.bytes, s.objectArray may be modified if 'keepLocalCopy' is true

Throws:
  `SQLException`

#### toResultSet

    public ResultSet toResultSet​(ARRAY array,
                                 long index,
                                 int count,
                                 Map map,
                                 boolean saveLocalCopy)
                          throws SQLException

Deprecated.

Throws:
  `SQLException`

#### toResultSet

    public ResultSet toResultSet​(oracle.jdbc.internal.OracleArray array,
                                 Datum arrayDatum,
                                 long index,
                                 int count,
                                 Map map,
                                 boolean saveLocalCopy)
                          throws SQLException

Deprecated.

Throws:
  `SQLException`

#### toResultSetFromImage

    public ResultSet toResultSetFromImage​(oracle.jdbc.internal.OracleArray array,
                                          long index,
                                          int count,
                                          Map map)
                                   throws SQLException

Deprecated.

Throws:
  `SQLException`

#### toNumericArray

    public Object toNumericArray​(oracle.jdbc.internal.OracleArray array,
                                 Datum arrayDatum,
                                 long beginIdx,
                                 int count,
                                 int type,
                                 boolean saveLocalCopy)
                          throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getTypeCode

    public int getTypeCode()
                    throws SQLException

Deprecated.
Description copied from class: `TypeDescriptor`
Returns type code.

Specified by:
  `getTypeCode` in interface `OracleTypeMetaData`
Overrides:
  `getTypeCode` in class `TypeDescriptor`
Throws:
  `SQLException`